<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateInterClusterDirectoryUriReq StructType
 * @subpackage Structs
 */
class UpdateInterClusterDirectoryUriReq extends APIRequest
{
    /**
     * The exchangeDirectoryUri
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $exchangeDirectoryUri;
    /**
     * The routeString
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * @var string
     */
    public $routeString;
    /**
     * Constructor method for UpdateInterClusterDirectoryUriReq
     * @uses UpdateInterClusterDirectoryUriReq::setExchangeDirectoryUri()
     * @uses UpdateInterClusterDirectoryUriReq::setRouteString()
     * @param string $exchangeDirectoryUri
     * @param string $routeString
     */
    public function __construct($exchangeDirectoryUri = null, $routeString = null)
    {
        $this
            ->setExchangeDirectoryUri($exchangeDirectoryUri)
            ->setRouteString($routeString);
    }
    /**
     * Get exchangeDirectoryUri value
     * @return string|null
     */
    public function getExchangeDirectoryUri()
    {
        return $this->exchangeDirectoryUri;
    }
    /**
     * Set exchangeDirectoryUri value
     * @param string $exchangeDirectoryUri
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateInterClusterDirectoryUriReq
     */
    public function setExchangeDirectoryUri($exchangeDirectoryUri = null)
    {
        $this->exchangeDirectoryUri = $exchangeDirectoryUri;
        return $this;
    }
    /**
     * Get routeString value
     * @return string|null
     */
    public function getRouteString()
    {
        return $this->routeString;
    }
    /**
     * Set routeString value
     * @param string $routeString
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateInterClusterDirectoryUriReq
     */
    public function setRouteString($routeString = null)
    {
        $this->routeString = $routeString;
        return $this;
    }
}
